Package org.eclipse.rdf4j.query.algebra.evaluation.iterator

## Class ExtensionIterator

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<T,​X>
  - - org.eclipse.rdf4j.common.iteration.ConvertingIteration<BindingSet,​BindingSet,​QueryEvaluationException>
    - - org.eclipse.rdf4j.query.algebra.evaluation.iterator.ExtensionIterator

- All Implemented Interfaces:
    `AutoCloseable`, `CloseableIteration<BindingSet,​QueryEvaluationException>`, `Iteration<BindingSet,​QueryEvaluationException>`

      public class ExtensionIterator
      extends ConvertingIteration<BindingSet,​BindingSet,​QueryEvaluationException>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExtensionIterator​(CloseableIteration<BindingSet,​QueryEvaluationException> iter, Consumer<MutableBindingSet> setter, QueryEvaluationContext context)` |
    `ExtensionIterator​(Extension extension, CloseableIteration<BindingSet,​QueryEvaluationException> iter, EvaluationStrategy strategy, QueryEvaluationContext context)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Consumer<MutableBindingSet>` | `buildLambdaToEvaluateTheExpressions​(Extension extension, EvaluationStrategy strategy, QueryEvaluationContext context)` |
    `BindingSet` | `convert​(BindingSet sourceBindings)` | Converts a source type object to a target type object.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.ConvertingIteration

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `stream`

- - ### Constructor Detail

    - #### ExtensionIterator

          public ExtensionIterator​(Extension extension,
                                   CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                   EvaluationStrategy strategy,
                                   QueryEvaluationContext context)
                            throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

    - #### ExtensionIterator

          public ExtensionIterator​(CloseableIteration<BindingSet,​QueryEvaluationException> iter,
                                   Consumer<MutableBindingSet> setter,
                                   QueryEvaluationContext context)
                            throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

  - ### Method Detail

    - #### buildLambdaToEvaluateTheExpressions

          public static Consumer<MutableBindingSet> buildLambdaToEvaluateTheExpressions​(Extension extension,
                                                                                        EvaluationStrategy strategy,
                                                                                        QueryEvaluationContext context)

    - #### convert

          public BindingSet convert​(BindingSet sourceBindings)
                             throws QueryEvaluationException

      Description copied from class: `ConvertingIteration`
      Converts a source type object to a target type object.
      Specified by:
        `convert` in class `ConvertingIteration<BindingSet,​BindingSet,​QueryEvaluationException>`
      Throws:
        `QueryEvaluationException`